export default {
  SET_LOADING(state, val) {
    state.showLoading = val
  },
  SET_CURDATE(state, date) {
    state.curDate = date
  },
  SET_CUR_TAB(state, val) {
    state.handleCurTab = val
  },
  SET_COMMAND_MODAL(state, val) {
    state.showCommandModal = val
  },
  SET_TASK_LIST(state, data) {
    state.taskList = data
  },
  SET_HANDLE_LIST(state, data) {
    state.handleList = data
  },
  SET_DONE_LIST(state, data) {
    state.doneList = data
  },
  SET_RESOURCE_COUNT(state, data) {
    state.resourceCount = data
  },
  SET_COMMUNITY_RATE(state, data) {
    state.communityRate = data
  },
  SET_MARKET_SHARE(state, data) {
    state.marketShare = data
  },
  SET_INDUSTRY_INFO(state, data) {
    state.industryInfo = data
  },
  SET_REPAIR_INFO(state, data) {
    state.repairInfo = data
  },
  SET_COMPLAINT_INFO(state, data) {
    state.complaintInfo = data
  },
  SET_REPORT_ID(state, val) {
    state.reportId = val
  },
  SET_REPORT_INFO(state, data) {
    state.reportInfo = data
  },
  SET_REPORT_SUM(state, val) {
    state.reportSum = val
  },
  SET_IMPORTANT_LIST(state, data) {
    state.importantList = data
  },
  SET_HEALTH_INFO(state, data) {
    state.healthInfo = data
  },
}
